> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# YouTube video

> This endpoint is used to fetch reviews from youtube for a specified business.



## OpenAPI

````yaml POST /youtube/video
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /youtube/video:
    post:
      description: >-
        This endpoint is used to fetch reviews from youtube for a specified
        business.
      requestBody:
        description: youtube review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/YouTubeVideoRequest'
        required: true
      responses:
        '200':
          description: Post fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/YouTubeVideoResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    YouTubeVideoRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide a proper youtube video URL or provide video_id
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
    YouTubeVideoResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched YouTube videos
          items:
            type: object
            properties:
              channel_data:
                type: object
                description: Information about the YouTube channel
                properties:
                  channel_banner_image_url:
                    type: string
                    description: URL of the channel's banner image
                  channel_branding_settings:
                    type: object
                    description: Channel branding configuration
                    properties:
                      channel:
                        type: object
                        properties:
                          country:
                            type: string
                            description: Country code of the channel
                          description:
                            type: string
                            description: Channel description
                          keywords:
                            type: string
                            description: Channel keywords
                          title:
                            type: string
                            description: Channel title
                          trackingAnalyticsAccountId:
                            type: string
                            description: Analytics account ID
                          unsubscribedTrailer:
                            type: string
                            description: Unsubscribed trailer video ID
                      image:
                        type: object
                        properties:
                          bannerExternalUrl:
                            type: string
                            description: External banner URL
                  channel_country:
                    type: string
                    description: Channel country code
                  channel_created_date:
                    type: string
                    description: Channel creation date
                  channel_description:
                    type: string
                    description: HTML formatted channel description
                  channel_name:
                    type: string
                    description: Channel name
                  channel_status:
                    type: object
                    description: Channel status information
                    properties:
                      isLinked:
                        type: boolean
                        description: Whether channel is linked
                      longUploadsStatus:
                        type: string
                        description: Long uploads status
                      madeForKids:
                        type: boolean
                        description: Whether channel is made for kids
                      privacyStatus:
                        type: string
                        description: Privacy status of the channel
                  channel_thumbnails:
                    type: object
                    description: Channel thumbnail images
                    properties:
                      default:
                        type: object
                        properties:
                          height:
                            type: integer
                            description: Thumbnail height
                          url:
                            type: string
                            description: Thumbnail URL
                          width:
                            type: integer
                            description: Thumbnail width
                      high:
                        type: object
                        properties:
                          height:
                            type: integer
                            description: High resolution thumbnail height
                          url:
                            type: string
                            description: High resolution thumbnail URL
                          width:
                            type: integer
                            description: High resolution thumbnail width
                      medium:
                        type: object
                        properties:
                          height:
                            type: integer
                            description: Medium resolution thumbnail height
                          url:
                            type: string
                            description: Medium resolution thumbnail URL
                          width:
                            type: integer
                            description: Medium resolution thumbnail width
                  channel_topic_details:
                    type: object
                    description: Channel topic details
                  channel_url:
                    type: string
                    description: Channel URL
                  content_details:
                    type: object
                    description: Channel content details
                    properties:
                      relatedPlaylists:
                        type: object
                        properties:
                          likes:
                            type: string
                            description: Likes playlist ID
                          uploads:
                            type: string
                            description: Uploads playlist ID
                  content_owner_details:
                    type: object
                    description: Content owner details
                  hidden_subscriber_count:
                    type: boolean
                    description: Whether subscriber count is hidden
                  localized_data:
                    type: object
                    description: Localized channel data
                    properties:
                      description:
                        type: string
                        description: Localized description
                      title:
                        type: string
                        description: Localized title
                  subscriber_count:
                    type: string
                    description: Number of subscribers
                  video_count:
                    type: string
                    description: Number of videos
                  view_count:
                    type: string
                    description: Total view count
              comment_count:
                type: integer
                description: Number of comments on the video
              content_details:
                type: object
                description: Video content details
                properties:
                  caption:
                    type: string
                    description: Caption availability
                  contentRating:
                    type: object
                    description: Content rating information
                  definition:
                    type: string
                    description: Video definition (hd/sd)
                  dimension:
                    type: string
                    description: Video dimension (2d/3d)
                  duration:
                    type: string
                    description: Video duration in ISO 8601 format
                  licensedContent:
                    type: boolean
                    description: Whether content is licensed
                  projection:
                    type: string
                    description: Video projection type
              default_audio_language:
                type: string
                description: Default audio language
              favorite_count:
                type: integer
                description: Number of favorites
              has_paid_product_placement:
                type: boolean
                description: Whether video has paid product placement
              iframe_data:
                type: object
                description: Iframe embed data
                properties:
                  allow:
                    type: string
                    description: Iframe allow permissions
                  allowfullscreen:
                    type: string
                    description: Fullscreen permission
                  frameborder:
                    type: string
                    description: Frame border setting
                  height:
                    type: string
                    description: Iframe height
                  referrerpolicy:
                    type: string
                    description: Referrer policy
                  src:
                    type: string
                    description: Iframe source URL
                  width:
                    type: string
                    description: Iframe width
              like_count:
                type: integer
                description: Number of likes
              localizations:
                type: object
                description: Video localizations
                additionalProperties:
                  type: object
                  properties:
                    description:
                      type: string
                      description: Localized description
                    title:
                      type: string
                      description: Localized title
              query:
                type: string
                description: Original query URL
              recording_details:
                type: object
                description: Recording details
              topic_details:
                type: object
                description: Topic details
                properties:
                  topicCategories:
                    type: array
                    description: Topic categories
                    items:
                      type: string
              video_category:
                type: string
                description: Video category name
              video_category_id:
                type: string
                description: Video category ID
              video_channel_id:
                type: string
                description: Channel ID of the video
              video_date:
                type: string
                description: Video publish date
              video_default_language:
                type: string
                description: Default language of the video
              video_description:
                type: string
                description: HTML formatted video description
              video_id:
                type: string
                description: YouTube video ID
              video_status_data:
                type: object
                description: Video status information
                properties:
                  embeddable:
                    type: boolean
                    description: Whether video is embeddable
                  license:
                    type: string
                    description: Video license type
                  made_for_kids:
                    type: boolean
                    description: Whether video is made for kids
                  privacy_status:
                    type: string
                    description: Privacy status of the video
                  public_stats_viewable:
                    type: boolean
                    description: Whether public stats are viewable
                  upload_status:
                    type: string
                    description: Upload status
              video_tags:
                type: array
                description: Video tags
                items:
                  type: string
              video_thumbanails:
                type: object
                description: Video thumbnail images
                properties:
                  default:
                    type: object
                    properties:
                      height:
                        type: integer
                        description: Thumbnail height
                      url:
                        type: string
                        description: Thumbnail URL
                      width:
                        type: integer
                        description: Thumbnail width
                  high:
                    type: object
                    properties:
                      height:
                        type: integer
                        description: High resolution thumbnail height
                      url:
                        type: string
                        description: High resolution thumbnail URL
                      width:
                        type: integer
                        description: High resolution thumbnail width
                  maxres:
                    type: object
                    properties:
                      height:
                        type: integer
                        description: Maximum resolution thumbnail height
                      url:
                        type: string
                        description: Maximum resolution thumbnail URL
                      width:
                        type: integer
                        description: Maximum resolution thumbnail width
                  medium:
                    type: object
                    properties:
                      height:
                        type: integer
                        description: Medium resolution thumbnail height
                      url:
                        type: string
                        description: Medium resolution thumbnail URL
                      width:
                        type: integer
                        description: Medium resolution thumbnail width
                  standard:
                    type: object
                    properties:
                      height:
                        type: integer
                        description: Standard resolution thumbnail height
                      url:
                        type: string
                        description: Standard resolution thumbnail URL
                      width:
                        type: integer
                        description: Standard resolution thumbnail width
              video_title:
                type: string
                description: Video title
              view_count:
                type: integer
                description: Number of views
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````